prolexic-liveness-checks-internal-target-status-and-success-rates-by-region

The following shows how to generate the prolexic-liveness-checks-internal-target-status-and-success-rates-by-region report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

Provides network liveness check target status and success rates by region. Default report time interval is FIVE_MINUTES.

Business object: targetIps

Data available for: 90 days

Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect

Available filters

FilterTypeDescription
targetIpsArray of stringsThe target IP addresses to filter by
regionsArray of stringsOptionalThe region to filter by: EMEA, AMERICAS or APAC
When this filter is present in the request body, the region suffix (eg. “... - APAC”, “... - EMEA”) is omitted from the targetresponse data.

Available target success data

Data columnDescription
targetThe target IP address with a region label (if regions filter is not used).
americasSuccessRateLiveness check success rate to the target for Americas region as a percentage
americasStatusOverall target status for Americas region - either OK, WARN, or NO_DATA. WARN status indicates a success rate of 90% or less.
emeaSuccessRateLiveness check success rate to the target for the EMEA region as a percentage
emeaStatusOverall target status for EMEA region - either OK, WARN, or NO_DATA. WARN status indicates a success rate of 90% or less.
apacSuccessRateLiveness check success rate to the target for the APAC region as a percentage
apacStatusOverall target status for APAC region - either OK, WARN, or NO_DATA. WARN status indicates a success rate of 90% or less.

POST request

POST /reporting-api/v1/reports/prolexic-liveness-checks-internal-target-status-and-success-rates-by-region/versions/5.1/report-data{?start,​end}

Sample:

/reporting-api/v1/reports/prolexic-liveness-checks-internal-target-status-and-success-rates-by-region/versions/5.1/report-data?start=2025-11-14T13%3A00%3A00Z&end=2025-11-21T14%3A00%3A00Z

Query parameters

ParameterTypeSampleDescription
startString2025-05-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED
endString2025-06-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED

JSON request members

MemberTypeDescription
objectTypeStringSpecifies the business object for the report.
filtersObjectSpecifies a set of custom filters, with each filter's name keying an array with each filter's set of values: targetIps

Request body

{
  "objectType": "targetIps",
  "objectIds": [
    "all"
  ],
  "filters": {
    "targetIps": [
      "192.168.1.1",
 			"192.168.1.2",
 			"192.168.1.3",
 			"192.168.1.4",
 			"192.168.1.5"
    ]
  }
}

JSON response

Status 200 application/json

Response body

{
    "metadata": {
        "name": "prolexic-liveness-checks-internal-target-status-and-success-rates-by-region",
        "version": "4",
        "outputType": "FLAT",
        "groupBy": [],
        "interval": "FIVE_MINUTES",
        "start": "2025-11-14T13:00:00Z",
        "end": "2025-11-21T14:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 5,
        "filters": [
            {
                "name": "targetIps",
                "values": [
                    "all"
                ]
            }
        ],
        "columns": [
            {
                "name": "target",
                "label": "target IP"
            },
            {
                "name": "americasSuccessRate",
                "label": "americasSuccessRate"
            },
            {
                "name": "americasStatus",
                "label": "americasStatus"
            },
            {
                "name": "emeaSuccessRate",
                "label": "emeaSuccessRate"
            },
            {
                "name": "emeaStatus",
                "label": "emeaStatus"
            },
            {
                "name": "apacSuccessRate",
                "label": "apacSuccessRate"
            },
            {
                "name": "apacStatus",
                "label": "apacStatus"
            }
        ],
        "objectType": "targetIPs",
        "objectIds": [
            "192.168.1.1",
            "192.168.1.2",
            "192.168.1.3",
            "192.168.1.5",
            "192.168.1.4"
        ]
    },
    "data": [
        {
            "target": "192.168.1.1",
            "americasSuccessRate": "89.9",
            "americasStatus": "WARN",
            "emeaSuccessRate": "89.15",
            "emeaStatus": "WARN",
            "apacSuccessRate": "91.2",
            "apacStatus": "OK"
        },
        {
            "target": "192.168.1.3",
            "americasSuccessRate": "90.6",
            "americasStatus": "OK",
            "emeaSuccessRate": "90.35",
            "emeaStatus": "OK",
            "apacSuccessRate": "90.6",
            "apacStatus": "OK"
        },
        {
            "target": "192.168.1.2",
            "americasSuccessRate": "90.9",
            "americasStatus": "OK",
            "emeaSuccessRate": "89.65",
            "emeaStatus": "WARN",
            "apacSuccessRate": "90.2",
            "apacStatus": "OK"
        },
        {
            "target": "192.168.1.5",
            "americasSuccessRate": "89.6",
            "americasStatus": "WARN",
            "emeaSuccessRate": "90.4",
            "emeaStatus": "OK",
            "apacSuccessRate": "91.0",
            "apacStatus": "OK"
        },
        {
            "target": "192.168.1.4",
            "americasSuccessRate": "89.6",
            "americasStatus": "WARN",
            "emeaSuccessRate": "90.05",
            "emeaStatus": "OK",
            "apacSuccessRate": "90.3",
            "apacStatus": "OK"
        }
    ],
    "summaryStatistics": {}
}